# Created by pyp2rpm-3.3.8
%global pypi_name pythran

%bcond_with docs
%bcond_with check

Name:           python-%{pypi_name}
Version:        0.17.0
Release:        %mkrel 1
Summary:        Ahead of Time compiler for numeric kernels
Group:          Development/Python
License:        BSD 3-Clause
URL:            https://github.com/serge-sans-paille/pythran
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(beniget)
BuildRequires:  python3dist(gast)
%endif

%description
Pythran is an ahead of time compiler for a subset of the Python language, with
a focus on scientific computing. It takes a Python module annotated with a few
interface descriptions and turns it into a native Python module with the same
interface, but (hopefully) faster.

It is meant to efficiently compile scientific programs, and takes advantage of
multi-cores and SIMD instruction units.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pythran is an ahead of time compiler for a subset of the Python language, with
a focus on scientific computing. It takes a Python module annotated with a few
interface descriptions and turns it into a native Python module with the same
interface, but (hopefully) faster.

It is meant to efficiently compile scientific programs, and takes advantage of
multi-cores and SIMD instruction units.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i "s/~=/>=/" requirements.txt
# clean unwanted files
find . -name "*.rej" -delete -print

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name} omp

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst pythran/pythonic/patch/README.rst
%if %{with docs}
%doc html
%endif
%{_bindir}/pythran
%{_bindir}/pythran-config


%changelog
* Tue Dec 24 2024 papoteur <papoteur> 0.17.0-1.mga10
+ Revision: 2129684
- new version 0.17.0

* Thu Sep 12 2024 joequant <joequant> 0.16.1-1.mga10
+ Revision: 2095308
- update to 0.16.1

* Thu Dec 21 2023 daviddavid <daviddavid> 0.14.0-1.mga10
+ Revision: 2020594
- new version: 0.14.0

* Thu Dec 21 2023 daviddavid <daviddavid> 0.11.0-2.mga10
+ Revision: 2020590
- rebuild for py3.12

* Thu Sep 08 2022 wally <wally> 0.11.0-1.mga9
+ Revision: 1885842
- imported package python-pythran

